<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Database\Migrations\TenantMigration;

return new class extends TenantMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('records', function (Blueprint $table) {
            $table->unsignedBigInteger('destination_id')->nullable();
            $table->foreign('destination_id')->nullable()->references('id')->on('banks')->onUpdate('cascade')->onDelete('cascade');
            $table->unsignedBigInteger('origin_id')->nullable();
            $table->foreign('origin_id')->nullable()->references('id')->on('banks')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('records', function (Blueprint $table) {
            $table->dropColumn('destination_id');
            $table->dropColumn('origin_id');
        });
    }
};
